aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/prismstumbler
diff options
context:
space:
mode:
authorStanislav Brabec <utx@penguin.cz>2009-09-16 20:25:59 +0000
committerutx@penguin.cz <utx@penguin.cz>2009-09-16 20:25:59 +0000
commite6b1829aea56351d31ad4091a59bb334426dd5c4 (patch)
tree5f4067baf9a60ec578d5018ae316b3948676ff6a /recipes/prismstumbler
parent952eef23ccbc52076a3e0b4f45fb0c58d5354ce7 (diff)
downloadopenembedded-e6b1829aea56351d31ad4091a59bb334426dd5c4.tar.gz
openembedded-e6b1829aea56351d31ad4091a59bb334426dd5c4.tar.bz2
openembedded-e6b1829aea56351d31ad4091a59bb334426dd5c4.zip
prismstumbler: Don't apply wireless.patch for linux-libc-headers >= 2.6.30.
Diffstat (limited to 'recipes/prismstumbler')
-rw-r--r--recipes/prismstumbler/prismstumbler_0.7.3+0.7.4pre1.bb4
1 files changed, 3 insertions, 1 deletions
diff --git a/recipes/prismstumbler/prismstumbler_0.7.3+0.7.4pre1.bb b/recipes/prismstumbler/prismstumbler_0.7.3+0.7.4pre1.bb
index b7c71002af..bc23824e42 100644
--- a/recipes/prismstumbler/prismstumbler_0.7.3+0.7.4pre1.bb
+++ b/recipes/prismstumbler/prismstumbler_0.7.3+0.7.4pre1.bb
@@ -9,9 +9,11 @@ DEPENDS = "libpcap gtk+ wireless-tools sqlite zlib dbus-glib gpsd"
RDEPENDS = "wireless-tools"
RRECOMMENDS = "gpsd"
+# wireless.patch is required for linux-libc-headers == 2.6.23
+# but breaks build with linux-libc-headers >= 2.6.30.
SRC_URI = "http://projects.linuxtogo.org/frs/download.php/14/${PN}-0.7.4pre1.tar.gz \
file://gpsapi.patch;patch=1 \
- file://wireless.patch;patch=1 \
+ ${@['', 'file://wireless.patch;patch=1'][bb.data.getVar('PREFERRED_VERSION_linux-libc-headers', d, 1) and bb.data.getVar('PREFERRED_VERSION_linux-libc-headers', d, 1).split('.')[2] < '30']} \
file://fix-includes.patch;patch=1;pnum=0"
S = "${WORKDIR}/${PN}-0.7.4pre1"